declare interface CustomObject {
  [key: string]: any;
}

declare interface ResultData {
  [x: string]: string | URL | undefined;
  code: number;
  data: any;
  txt: string;
}


declare interface Window {
  Android: any;
  fbq: any;
  kwaiq: any;
  google: any
  FB: any;
  gtag: any;
}

declare interface PageProps {
  pageIndex: number;
  pageSize: number;
  pageTotal: number;
}

declare module '*.vue' {
  import { ComponentOptions } from 'vue'
  const componentOptions: ComponentOptions
  export default componentOptions
}


declare module 'socketApi'